org.eclipse.microprofile.rest.client.inject

## Annotation Type RestClient

    @Target(value={FIELD,METHOD,PARAMETER,TYPE})
     @Qualifier
     @Documented
     @Retention(value=RUNTIME)
    public @interface RestClient

Use the RestClient qualifier on an injection to point to indicate that this injection point is meant to use an instance of a Type-Safe Rest Client.

     @Inject
     @RestClient
     private MyRemoteApi api;

This will cause the injection point to be satisfied by the MicroProfile Rest Client runtime.

### Field Detail

#### LITERAL

    public static final RestClient LITERAL